# keyfork-shard-combine-openpgp

Combine `threshold` shares into a previously [`split`] secret.

## Arguments

`keyfork-shard-combine-openpgp threshold key_discovery`

* `threshold`: Minimum number of operators present to recover the secret, as
  previously configured when creating the secret
* `key_discovery`: A directory containing OpenPGP keys.
  If the amount of keys found is less than `threshold`, an OpenPGP Card
  fallback will be used to decrypt the rest of the messages.

## Pinentry

The terminal may be overridden if the default pinentry command is
`pinentry-curses`, but this will affect neither input nor output.` Pinentry is
used if an OpenPGP key file has an encrypted secret key or to prompt for the
PIN for an OpenPGP smart card.

## Input

OpenPGP messages from [`split`].

## Output

Hex-encoded secret.

[`split`]: ./split.md
